<?php
require_once '../../data/constant.php';
require_once '../../util/validate.php';
require_once '../../util/for_eval.php';
require_once '../../data/db_access.php';
require_once '../../data/table_access.php';
require_once '../../data/data_for_group.php';
require_once '../../data/data_for_test.php';

ini_set("session.save_handler","files");
session_start();
if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}
$ses_list = $_SESSION[SESSION_ADMIN];
$admin_status =$ses_list['status'];
$admin_id=$ses_list['teacher_id'];

//test_eval.phpΥǡ
$class_id = "";
$test_id = "";
$class_student_id = "";
$student_id = "";

//ʬΥǡ
$insert_flag = "";
$err_msg = "";
/*if ($_GET <> null) {
	$class_id = $_GET['class_id'];
	$test_id = $_GET['test_id'];
	$class_student_id = $_GET['cl_student_id'];
	$student_id = $_GET['student_id'];
}
if ($_POST <> null) {
	$insert_flag = $_POST['insert_flag'];
}*/
if ($_GET <> null) {
	if(isset($_GET['class_id'])) {$class_id = $_GET['class_id'];}
	if(isset($_GET['test_id'])) {$test_id = $_GET['test_id'];}
	if(isset($_GET['cl_student_id'])) {$class_student_id = $_GET['cl_student_id'];}
	if(isset($_GET['student_id'])) {$student_id = $_GET['student_id'];}
	if (!is_numeric($test_id)||!is_numeric($class_id)||
		!is_numeric($class_student_id)||!is_numeric($student_id)) {
//		redirect_header(URL_SET."teacher/class_reg/class_list.php");				
		header("Content-Type: text/html; charset=EUC-JP");
		header(URL_SET."teacher/class_reg/class_list.php");

		exit;
	}
} else if ($_POST <> null) {
	$insert_flag = $_POST['insert_flag'];
} else {
//	redirect_header(URL_SET."teacher/class_reg/class_list.php");				
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/class_reg/class_list.php");
	exit;
}

//javaץ
$item_cnt = 0;
$data_object = new CDbAccess();
if ($data_object->openDB() == false) {
	$err_msg .= $data_object->err_msg;
	$list_tbl = "<tr><td colspan=5>ǡ١³˼Ԥޤ</td></tr>";
	$present = "0";
} else{
	if ($class_id == null || $class_id == "") {
	//Υեफǡ
		$class_id = $_POST['class_id'];
		$test_id = $_POST['test_id'];
		$class_student_id = $_POST['class_student_id'];
		$student_id = $_POST['student_id'];
		if ($insert_flag == 1) {
			$val_obj = new valid_plus_num('st_eval_score');
			$val_obj->setErrMsgNum($_POST);
			if ($val_obj->err_msg == null || $val_obj->err_msg == "") {
				if (!$data_object->transactionBegin()) {
					$err_msg = "DB˼Ԥޤ<br>";
					$err_msg .= $data_object->err_msg;
				} else {
					$score_data_object = new CEditStudentScores();
					if (!$score_data_object->insertScoresData($data_object->conn, $_POST)) {
						$err_msg = "ǡ˼Ԥޤ";						
						if (!$data_object->transactionRollBack()) {
							$err_msg .= $data_object->err_msg;
						}
					} else {
						$data_object->transactionCommit();
//						redirect_header(URL_SET."teacher/test_reg/test_list.php?class_id=".$class_id,0,"ǡԽޤ");
						header("Content-Type: text/html; charset=EUC-JP");
						header(URL_SET."teacher/test_reg/test_list.php?class_id=".$class_id);
						exit;
					}
				}
			} else {
				$err_msg = $val_obj->err_msg;
			}	
		} else {
//			redirect_header(URL_SET."teacher/login.php");
			header("Content-Type: text/html; charset=EUC-JP");
			header(URL_SET."teacher/login.php");
			exit;
		}
	}

	$st_total_score = 0;
	$class_nam="";
	$test_nam="";
	$student_nam="";
	//XoopsCubeѤ	
	if ($ses_list['is_cube'] == 1) {
		if (!$data_object->setCharForCube()) {
			$err_msg .= $data_object->err_msg;
		}
	}
	//饹󸡺
	$class_data_object = new CClassInfoTableAccess();
	$cl_dat_arr = $class_data_object->getOneClass($data_object->conn, $class_id);
	if (!$cl_dat_arr) {
		$class_nam = "饹̾˼";
	} else {
//		$class_nam = htmlspecialchars(mb_convert_encoding($cl_dat_arr['class_nam'],'EUC-JP', 'UTF-8'),ENT_QUOTES);
		$class_nam = $cl_dat_arr['name'];

//		$teacher_id = $cl_dat_arr['teacher_id'];
	}
	//Ϥ
	//ԤôԤΤߤΥ
/*
	if ($admin_status <> 1 && $cl_dat_arr['teacher_id'] <> $admin_id) {
		$data_object->closeDB();
		redirect_header(URL_SET."teacher/class_reg/class_list.php");
		exit;
	}
*/
	//ּ̾
	$student_info_object = new CStudentTableAccess();

	$for_stu_nam = $student_info_object->getOneStudent($data_object->conn, $student_id);
	if ($for_stu_nam == false) {
		$student_nam = "ּ̾˼Ԥޤ";
	} else {
//		$student_nam = mb_convert_encoding($for_stu_nam['student_nam'],'EUC-JP', 'UTF-8');	
		$student_nam = $for_stu_nam['uname'];	

	}
//XoopsCubeѤ	
	if ($ses_list['is_cube'] == 1) {
		if (!$data_object->setCharForExam()) {
			$err_msg .= $data_object->err_msg;
		}
	}
		//ƥ̾
	$test_info_object = new CTestInfoTableAccess();

	$for_tst_nam = $test_info_object->getOneTestInfo($data_object->conn, $test_id);
	if ($for_tst_nam == false) {
		$test_nam = "ƥ̾˼Ԥޤ";
	} else {
		$test_nam = mb_convert_encoding($for_tst_nam['test_nam'],'EUC-JP', 'UTF-8');	
	}
	//ּ̾
/*	$student_info_object = new CStudentTableAccess();

	$for_stu_nam = $student_info_object->getOneStudent($data_object->conn, $student_id);
	if ($for_stu_nam == false) {
		$student_nam = "ּ̾˼Ԥޤ";
	} else {
//		$student_nam = mb_convert_encoding($for_stu_nam['student_nam'],'EUC-JP', 'UTF-8');	
		$student_nam = $for_stu_nam['uname'];	

	}
*/
	//ȥΥꥹȤ륪֥	
	$eval_list_object = new CForEvaluateStudent();
	if(!$eval_list_object->setDataArr($data_object->conn, $test_id, $class_student_id)) {
		$list_tbl = "<tr><td colspan=5>γΥƥȥǡϤޤ</td></tr>";
		$present = "0";
	} else {
		$list_tbl = $eval_list_object->makeAnsList(0);
		$present = "1";
		$item_cnt = $eval_list_object->cnt_for_java;
	}
	$data_object->closeDB();
}

$show_data = file_get_contents('../../templates/ad_test_reg/test_eval_ind.tpl');
$show_data = ereg_replace(':ERR_MSG:', mb_convert_encoding($err_msg,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':CLASS_NAM:', mb_convert_encoding($class_nam,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':TEST_NAM:', mb_convert_encoding($test_nam,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':STUDENT_NAM:', mb_convert_encoding($student_nam,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':SHOW_TABLE:', mb_convert_encoding($list_tbl,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':CL_STU_ID:', $class_student_id, $show_data);
$show_data = ereg_replace(':TEST_ID:', $test_id, $show_data);
$show_data = ereg_replace(':CLASS_ID:', $class_id, $show_data);
$show_data = ereg_replace(':PRESENT:', $present, $show_data);
$show_data = ereg_replace(':TOTAL_SCORE:', mb_convert_encoding($st_total_score,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':UP_INS:', mb_convert_encoding("<input type='hidden' name='insert_flag' value='1'>",'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':FILE_NAM:', mb_convert_encoding("test_eval_ind.php",'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':STUDENT_ID:', $student_id, $show_data);
$show_data = ereg_replace(':TOTAL_IND:', mb_convert_encoding($item_cnt,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':COMMENT_SET:', '', $show_data);

echo $show_data;

?>