<?php
require_once '../../data/constant.php';
require_once '../../util/make_item.php';
require_once '../../util/validate.php';
require_once '../../data/db_access.php';
require_once '../../data/table_access.php';
require_once '../../data/data_for_group.php';
ini_set("session.save_handler","files");
session_start();
if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}
$ses_list = $_SESSION[SESSION_ADMIN];
$admin_status =$ses_list['status'];
$admin_id=$ses_list['teacher_id'];


$class_id = "";
$del_flag = "";
$up_tbl_txt = "";
$err_msg = "";
$item_count = 0;
$counting=0;

if ($_GET <> null) {
	if (isset($_GET['class_id'])) {
		$class_id = $_GET['class_id'];
	}
	if (!is_numeric($class_id)) {
//		redirect_header(URL_SET."teacher/class_reg/class_list.php");				
		header("Content-Type: text/html; charset=EUC-JP");
		header(URL_SET."teacher/class_reg/class_list.php");

		exit;
	}
}
if ($_POST <> null) {
	$del_flag = $_POST['del_flag'];
}

$data_object = new CDbAccess();
if ($data_object->openDB() == false) {
	$err_msg .= $data_object->err_msg;
} else {

//XoopsCubeѤ	
	if ($ses_list['is_cube'] == 1) {
		if (!$data_object->setCharForCube()) {
			$err_msg .= $data_object->err_msg;
		}
	}
//Xoopsѡ饹δþ
	$class_info_object = new CTeacherClassAccess();
	$class_inf=$class_info_object->getClassMember($data_object->conn, $class_id);
	if ($class_inf == false) {
		$err_msg .= $data_object->err_msg;
		$class_nam = "饹̾˼";
		$teacher_nam = "̾˼";
	} else {
	//Ϥ
	//ԤôԤΤߤΥ
		if ($admin_status <> 1 && $class_inf[0]['teacher_id'] <> $admin_id) {
			$data_object->closeDB();
//			redirect_header(URL_SET."teacher/class_reg/class_list.php");
			header("Content-Type: text/html; charset=EUC-JP");
			header(URL_SET."teacher/class_reg/class_list.php");
			exit;
		}
		$class_nam = htmlspecialchars($class_inf[0]['class_nam'],ENT_QUOTES);
		$teacher_nam = htmlspecialchars($class_inf[0]['teacher_nam'],ENT_QUOTES);	
	}
//XoopsCubeѤ	
	if ($ses_list['is_cube'] == 1) {
		if (!$data_object->setCharForExam()) {
			$err_msg .= $data_object->err_msg;
		}
	}
		//ƥȥơ֥Υ֥Ȥ
	$tests_data_object = new CTestInfoTableAccess();
	if ($class_id == null || $class_id == "") {
	//ƥID򽦤äƤ餺Υեफǡ
		if ($del_flag == 1) {
			$val_obj = new valid_list_up('DEL',$_POST['list_size']);
			$err_msg = $val_obj->getErrMsg ($_POST);
			if ($err_msg == "") {
				//κ
				$del_condition = "";
				for ($i = 0; $i < $_POST['list_size']; $i++) {
					if (array_key_exists("DEL".$i, $_POST) == true) {
						if (is_numeric($_POST["DEL".$i])) {
							$del_condition .= "test_id = '".$tests_data_object->escapeSqlString($_POST["DEL".$i]);
							$del_condition .= "' OR ";
						}
					}
				}
				//Ρ OR פȤ
				$del_condition = substr($del_condition, 0, -4);

				if(!$tests_data_object->delDat($del_condition, $data_object->conn)) {
					$err_msg = "ǡκ˼Ԥޤ<br>";
					$err_msg .= $tests_data_object->err_msg;
				}
			}
			$class_id = $_POST['class_id'];
		}
	}
//xoopsѤѹ	
/*	//饹󸡺
	$class_data_object = new CClassInfoTableAccess();
	$cl_dat_arr = $class_data_object->getOneClass($data_object->conn, $class_id);
	if (!$cl_dat_arr) {
		$class_nam = "饹̾˼";
	} else {
		$class_nam = htmlspecialchars(mb_convert_encoding($cl_dat_arr['class_nam'],'EUC-JP', 'UTF-8'),ENT_QUOTES);
		$teacher_id = $cl_dat_arr['teacher_id'];
	}
	//Ϥ
	//ԤôԤΤߤΥ
	if ($admin_status <> 1 && $cl_dat_arr['teacher_id'] <> $admin_id) {
		$data_object->closeDB();
		header("Content-Type: text/html; charset=EUC-JP");
		header(URL_SET."admin/class_reg/class_list.php");
		exit;
	}
	
	//ǡΥ֥Ȥ
	$teacher_data_object = new CTeacherTableAccess();
	$tea_dat_arr = $teacher_data = $teacher_data_object->getDetailTeacherData($data_object->conn, $cl_dat_arr['teacher_id']);

	if (!$tea_dat_arr) {
		$teacher_nam = "̾˼";
	} else {
		$teacher_nam = htmlspecialchars(mb_convert_encoding($tea_dat_arr['teacher_nam'],'EUC-JP', 'UTF-8'),ENT_QUOTES);
	}
*/
	$data_list = $tests_data_object->getTestInfoPerClass($data_object->conn, $class_id);
	if (!$data_list) {
		$up_tbl_txt ="<td colspan=6>ƥȥǡǤޤǤ</td>";
	} else {
		foreach($data_list as $data_arr) {
			if ($data_arr['status'] == 0) {
				$status_txt = "<a href='test_st_chfrm.php?test_id=".$data_arr['test_id'];
				$status_txt .= "&class_id=".$class_id."&teacher_nam=".urlencode($teacher_nam)."&test_nam=";
				$status_txt .= urlencode(mb_convert_encoding($data_arr['test_nam'],'EUC-JP','UTF-8'));
				$status_txt .="&class_nam=".urlencode($class_nam)."'>ƥ</a>";
				$ins_quest = "<a href='ins_quest.php?test_id=".$data_arr['test_id'];
				$ins_quest .= "&class_id=".$class_id."'></a>";
			} else if ($data_arr['status'] == 1) {
				$status_txt = "<a href='now_in_test.php?test_id=".$data_arr['test_id'];
				$status_txt .= "&class_id=".$class_id."&teacher_nam=".urlencode($teacher_nam)."&test_nam=";
				$status_txt .= urlencode(mb_convert_encoding($data_arr['test_nam'],'EUC-JP','UTF-8'));
				$status_txt .="&class_nam=".urlencode($class_nam)."'>»</a>";
				$ins_quest = "";
			}  else if ($data_arr['status'] == 3) {
				$status_txt = "<a href='now_in_retest.php?test_id=".$data_arr['test_id'];
				$status_txt .= "&class_id=".$class_id."&teacher_nam=".urlencode($teacher_nam)."&test_nam=";
				$status_txt .= urlencode(mb_convert_encoding($data_arr['test_nam'],'EUC-JP','UTF-8'));
				$status_txt .="&class_nam=".urlencode($class_nam)."'>ɻ</a>";
				$ins_quest = "";
			} else {
				$status_txt = "<a href='test_eval.php?test_id=".$data_arr['test_id'];
				$status_txt .= "&class_id=".$class_id."&teacher_nam=".urlencode($teacher_nam)."&test_nam=";
				$status_txt .= urlencode(mb_convert_encoding($data_arr['test_nam'],'EUC-JP','UTF-8'));
				$status_txt .="&class_nam=".urlencode($class_nam)."'>λ</a>";
				$ins_quest = "";
			}
			$up_tbl_txt .= "<tr><td>";
			$up_tbl_txt .= "<input type='CHECKBOX' name='DEL".$counting."'";
			$up_tbl_txt .= " value='".$data_arr['test_id']."'>";
			$up_tbl_txt .= "<td><a href='mod_test_inf.php?class_id=".$class_id."&test_id=".$data_arr['test_id']."'>";
			$up_tbl_txt .= mb_convert_encoding($data_arr['test_nam'],'EUC-JP','UTF-8')."</td>";
			$up_tbl_txt .= "<td>".substr($data_arr['make_date'],0,16)."</td>";
			$up_tbl_txt .= "<td>".substr($data_arr['test_date'],0,16)."</td>";
			$up_tbl_txt .= "<td>".$ins_quest."</td>";
			$up_tbl_txt .= "<td>".$status_txt."</td></tr>";
			$counting++;
		}
	}
	$data_object->closeDB();
}

$show_data = file_get_contents('../../templates/ad_test_reg/test_list.tpl');
$show_data = ereg_replace(':ERR_MSG:', mb_convert_encoding($err_msg,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':CLASS_NAM_REP:', mb_convert_encoding($class_nam,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':TEA_NAM_REP:', mb_convert_encoding($teacher_nam,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':TBL_DATA:', mb_convert_encoding($up_tbl_txt,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':CLASS_ID_REP:', $class_id, $show_data);
$show_data = ereg_replace(':LIST_CNT:', mb_convert_encoding($counting,'UTF-8', 'EUC-JP'), $show_data);
echo $show_data;
?>